#include "run-time.h"

void _Init_harp_native_ () __attribute__((constructor));
void _Init_harp_native_ () {
  extern void _Init_Run_Time();
  extern void _Init_harp_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_harp_native__X_library_for_system();
  extern void _Init_harp_native__X_module_for_system();
  extern void _Init_harp_native__X_native_back_end_for_system();
  extern void _Init_harp_native__X_instruction_set_for_system();
  extern void _Init_harp_native__X_instruction_specials_for_system();
  extern void _Init_harp_native__X_leaf_case_for_system();
  extern void _Init_harp_native__X_thread_environment_offsets_for_system();
  extern void _Init_harp_native__X_branches_for_system();
  extern void _Init_harp_native__X_general_for_system();
  extern void _Init_harp_native__X_save_res_for_system();
  extern void _Init_harp_native__X_library_for_user();
  extern void _Init_harp_native__X_module_for_user();
  extern void _Init_harp_native__X_native_back_end_for_user();
  extern void _Init_harp_native__X_instruction_set_for_user();
  extern void _Init_harp_native__X_instruction_specials_for_user();
  extern void _Init_harp_native__X_leaf_case_for_user();
  extern void _Init_harp_native__X_thread_environment_offsets_for_user();
  extern void _Init_harp_native__X_branches_for_user();
  extern void _Init_harp_native__X_general_for_user();
  extern void _Init_harp_native__X_save_res_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_harp_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_harp_native__X_library_for_system();
    _Init_harp_native__X_module_for_system();
    _Init_harp_native__X_native_back_end_for_system();
    _Init_harp_native__X_instruction_set_for_system();
    _Init_harp_native__X_instruction_specials_for_system();
    _Init_harp_native__X_leaf_case_for_system();
    _Init_harp_native__X_thread_environment_offsets_for_system();
    _Init_harp_native__X_branches_for_system();
    _Init_harp_native__X_general_for_system();
    _Init_harp_native__X_save_res_for_system();
    _Init_harp_native__X_library_for_user();
    _Init_harp_native__X_module_for_user();
    _Init_harp_native__X_native_back_end_for_user();
    _Init_harp_native__X_instruction_set_for_user();
    _Init_harp_native__X_instruction_specials_for_user();
    _Init_harp_native__X_leaf_case_for_user();
    _Init_harp_native__X_thread_environment_offsets_for_user();
    _Init_harp_native__X_branches_for_user();
    _Init_harp_native__X_general_for_user();
    _Init_harp_native__X_save_res_for_user();
  }
}
